Pixels

Operations around Pixels management.

Endpoints

GET /api/pixels
POST /api/pixels
GET /api/pixels/:pixelId
POST /api/pixels/:pixelId
DELETE /api/pixels/:pixelId

GET /api/pixels

Returns all user pixels.

Parameters

ParameterTypeDescription
searchstring(optional) Search text.
pagenumber(optional, default 1) Determines page.
pageSizenumber(optional) Determines how many results to return.

Sample response

{
  "data": [
    {
      "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "name": "Umami Pixel",
      "slug": "xxxxxxxx",
      "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
      "teamId": null,
      "createdAt": "2025-10-27T18:50:54.079Z",
      "updatedAt": "2025-10-27T18:50:54.079Z",
      "deletedAt": null
    }
  ],
  "count": 1,
  "page": 1,
  "pageSize": 20
}

POST /api/pixels

Creates a pixel.

Parameters

ParameterTypeDescription
namestringThe pixel's name.
slugstringThe pixel's URL slug (minimum 8 characters).
teamIdstring(optional) The ID of the team the pixel will be created under.

Request body

{
  "name": "Umami Pixel",
  "slug": "pixel123"
}

Sample response

{
  "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "name": "Umami Pixel",
  "slug": "pixel123",
  "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "teamId": null,
  "createdAt": "2025-10-27T18:50:54.079Z",
  "updatedAt": "2025-10-27T18:50:54.079Z",
  "deletedAt": null
}

GET /api/pixels/:pixelId

Gets a pixel by ID.

Sample response

{
  "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "name": "Umami Pixel",
  "slug": "xxxxxxxx",
  "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "teamId": null,
  "createdAt": "2025-10-27T18:50:54.079Z",
  "updatedAt": "2025-10-27T18:50:54.079Z",
  "deletedAt": null
}

POST /api/pixels/:pixelId

Updates a pixel.

Parameters

ParameterTypeDescription
namestring(optional) The pixel's name.
slugstring(optional) The pixel's URL slug (minimum 8 characters).

Request body

{
  "name": "Umami Pixel",
  "slug": "abcde123"
}

Sample response

{
  "id": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "name": "Umami Pixel",
  "slug": "abcde123",
  "userId": "xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
  "teamId": null,
  "createdAt": "2025-10-27T18:50:54.079Z",
  "updatedAt": "2025-10-30T23:11:18.627Z",
  "deletedAt": null
}

DELETE /api/pixels/:pixelId

Deletes a pixel.

Sample response

{
  "ok": true
}